//
// Module: NullBadPixelCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: NullBadPixelCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef NullBadPixelCorrector_H
#define NullBadPixelCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "BpCorrector.h"

class NullBadPixelCorrector : public BpCorrector
{
public:

  /* Constructor */
  NullBadPixelCorrector();

  /* Destructor */
  ~NullBadPixelCorrector();

  /* Summer */
  vector<double> TotalFactor(const vector<double> & energyVector) const;

  int totalPixels() const;

};

#endif
