//
// Module: PointEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: PointEeCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef PointEeCorrector_H
#define PointEeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"

class PointEeCorrector : public IterEeCorrector
{
public:

  /* Constructor */
  PointEeCorrector(unsigned eefactor );

  /* Destructor */
  ~PointEeCorrector();

private:

  double eeFraction( double energy ) const;

};

#endif
