// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: NullPileupCorrector
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: NullPileupCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef NullPileupCorrector_H
#define NullPileupCorrector_H

// General classes

#include <iostream>

// SAS-specific classes

// General utility functions
#include "Tracer.h"

// Local classes
#include "PileupCorrector.h"

// ===========================================================================

// class NullPileupCorrector

// Abstract class for NullPileupCorrector objects

// ===========================================================================

class NullPileupCorrector : public PileupCorrector
{
public:

  //  Constructors 
  NullPileupCorrector()
    {
      PROC;
      errstr << " Null Pileup Corrector being used. Returning 1. " 
	     << Sas::message(Msg::App,Msg::Verbose);
      ENDPROC;
    };

  //  Destructors 
  ~NullPileupCorrector(){PROC; ENDPROC;}

  double correction( double /* energy */, double /* spatialDensity */) const
    {
      PROC;
	
      RETURN 1.;
    }
};
#endif
